<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_PURCH_REQ_INQ';
$path_to_root = "../..";

include($path_to_root . "/includes/db_pager.inc");
include($path_to_root . "/includes/session.inc");
include($path_to_root . "/purchasing/includes/ui/purchasing_ui.inc");
include_once($path_to_root . "/reporting/includes/reporting.inc");
include_once($path_to_root . "/purchasing/includes/db/purchase_requisitions_inquiry_db.inc");


$js = "";
if ($SysPrefs->use_popup_windows)
	$js .= get_js_open_window(900, 500);
if (user_use_date_picker())
	$js .= get_js_date_picker();
page(_($help_context = "Search Outstanding Purchase Requisitions"), false, false, "", $js);

if (isset($_GET['order_number']))
{
	$_POST['order_number'] = $_GET['order_number'];
}
//-----------------------------------------------------------------------------------
// Ajax updates
//
//if (get_post('SearchOrders')) 
//{
//	$Ajax->activate('orders_tbl');
//} elseif (get_post('_order_number_changed')) 
//{
//	$disable = get_post('order_number') !== '';
//
//	$Ajax->addDisable(true, 'OrdersAfterDate', $disable);
//	$Ajax->addDisable(true, 'OrdersToDate', $disable);
//	$Ajax->addDisable(true, 'StockLocation', $disable);
//	$Ajax->addDisable(true, '_SelectStockFromList_edit', $disable);
//	$Ajax->addDisable(true, 'SelectStockFromList', $disable);
//
//	if ($disable) {
//		$Ajax->addFocus(true, 'order_number');
//	} else
//		$Ajax->addFocus(true, 'OrdersAfterDate');
//
//	$Ajax->activate('orders_tbl');
//}
//

//---------------------------------------------------------------------------------------------

start_form();

start_table(TABLESTYLE_NOBORDER);
    start_row();
        ref_cells(_("#:"), 'order_number', '',null, '', true);
        ref_cells(_("Reference:"), 'order_reference', '',null, '', true);
        date_cells(_("from:"), 'OrdersAfterDate', '', null, -30);
        date_cells(_("to:"), 'OrdersToDate');
    end_row();
end_table();

start_table(TABLESTYLE_NOBORDER);
    start_row();
        locations_list_cells(_("Location:"), 'StockLocation', null, true, true);
        system_users_list_cells("Originator:", 'reqester_id', null, '', true);

        submit_cells('SearchOrders', _("Search"),'',_('Select documents'), 'default');
    end_row();
end_table(1);
//---------------------------------------------------------------------------------------------
function trans_view($trans)
{
	return get_trans_view_str(ST_PURCH_REQ, $trans["pr_no"]);
}

function _status($trans)
{
        global $approval_statuses;
	return $approval_statuses[$trans["approval_status"]];
}


function issue_link($row) 
{
    if(!($row['approval_status'] == AS_APPROVED || $row['approval_status'] == AS_ISSUED)){
                return null;
    }
    
    return pager_link( _("Issue"), "/purchasing/pr_issues_select_po.php?pr_no=".$row['pr_no'], ICON_DOC);

}

function pr_link($row) 
{
    if($row['approval_status'] != AS_APPROVED)
                return null;
    
        
    return pager_link( _("GRN Issue"), "/purchasing/grn_issues.php?PONumber=" . $row["order_no"], ICON_RECEIVE);
   
}



function status_name($row)
{
    global  $approval_statuses;
    
    return $approval_statuses[$row['approval_status'] ];
    
}

//---------------------------------------------------------------------------------------------

if (isset($_POST['order_number']) && ($_POST['order_number'] != ""))
{
	$order_number = $_POST['order_number'];
}

if (isset($_POST['SelectStockFromList']) && ($_POST['SelectStockFromList'] != "") &&
	($_POST['SelectStockFromList'] != $all_items))
{
 	$selected_stock_item = $_POST['SelectStockFromList'];
}
else
{
	unset($selected_stock_item);
}

//figure out the sql required from the inputs available
$sql = get_sql_for_outstanding_pr_search(get_post('order_number'), get_post('order_reference'), get_post('OrdersAfterDate'), get_post('OrdersToDate'), 
                                            get_post('StockLocation'), get_post('reqester_id'));
                                       

//$result = db_query($sql,"No orders were returned");

/*show a table of the orders returned by the sql */
$cols = array(
		_("#") => array('fun'=>'trans_view', 'align'=>'center'), 
		_("Reference"), 
		_("PR Date") => array('name'=>'ord_date', 'type'=>'date'),
		_("Project"),
		_("Location"), 
		_("Originator"), 
		_("Status")=> array('fun'=>'_status', 'align'=>'center'), 
		array('insert'=>true, 'fun'=>'issue_link')
        //array('insert'=>true, 'fun'=>'pr_link')
);

if (get_post('StockLocation') != $all_items) {
	$cols[_("Location")] = 'skip';
}

$table =& new_db_pager('orders_tbl', $sql, $cols);


$table->width = "80%";

display_db_pager($table);

end_form();
end_page();



?>
